10002 - Security error - Security header is not valid

I am getting the following error with PayPal Express Checkout when set to sandbox. I saw a reply at https://premium.wpmudev.org/forums/topic/10002-security-error-security-header-is-not-valid but I cannot find where to set up a sand box API in PayPal. In fact, I can't find anywhere to generate any type of API in the developer section of PayPal.

Here is the error

There was a problem connecting to PayPal to setup your purchase. Please try again.
10002 - Security error - Security header is not valid